사용 중인 결정 풀

Moses Skoda엔지니어1분 소요

API는 이 오류에 대해 409 Conflict로 응답합니다. 오류의 type는 https://lingo.dev/docs/api/errors/decision-pool-in-use입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.

다음 엔진이 사람이 하는 검토를 이 결정 풀로 보내고 있어 풀을 보관 처리할 수 없습니다: <name>, 볼 수 없는 엔진 2개. 먼저 해당 엔진의 라우팅 경로에서 이 풀을 제거하세요.

필드#

응답 본문에는 표준 항목인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 자체 문구로 바꿔 표시할 수 있습니다.

필드유형
enginesobject[]
engines[].idstring
engines[].namestring
hiddenEnginesinteger

예시#

json
{
  "detail": "The decision pool cannot be archived while engines route human review to it: <name>, 2 engines you cannot see. Remove it from their routes first.",
  "engines": [
    {
      "id": "<id>",
      "name": "<name>"
    }
  ],
  "hiddenEngines": 2,
  "type": "https://lingo.dev/docs/api/errors/decision-pool-in-use",
  "status": 409,
  "title": "Decision pool in use"
}

이 오류를 반환하는 엔드포인트#

  • POST /v2/organizations/{orgId}/decision-pools/{id}/archive